Bio::Tools::Run::PiseApplication::nnssp(3)

NAME
Bio::Tools::Run::PiseApplication::nnssp

SYNOPSIS
  #

DESCRIPTION
Bio::Tools::Run::PiseApplication::nnssp

      Bioperl class for:

        NNSSP   Prediction of protein secondary structure by combining nearest-neighbor algorithms and multiple sequence alignment (Salamov & Solovyev)

        References:

                Salamov AA, Solovyev VV (1995) Prediction of protein secondary structure by combinin nearest-neighbr algorithms and multiple sequence alignment. J Mol Biol, 247 : 11-15

      Parameters:

        (see also:
          http://bioweb.pasteur.fr/seqanal/interfaces/nnssp.html
         for available values):

                nnssp (String)

                infile (Sequence)
                        Clustalw Alignment File
                        pipe: readseq_ok_alig

                seq (String)
                        Name of the sequence to analyze

                outfile (OutFile)
                        Output File

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org              - General discussion
  http://bioperl.org/MailList.shtml  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.bioperl.org/

AUTHOR
Catherine Letondal (letondal@pasteur.fr)

COPYRIGHT
Copyright (C) 2003 Institut Pasteur & Catherine Letondal. All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

DISCLAIMER
This software is provided "as is" without warranty of any kind.

SEE ALSO

•   http://bioweb.pasteur.fr/seqanal/interfaces/nnssp.html

•   Bio::Tools::Run::PiseApplication

•   Bio::Tools::Run::AnalysisFactory::Pise

•   Bio::Tools::Run::PiseJob

  new
 Title   : new()
 Usage   : my $nnssp = Bio::Tools::Run::PiseApplication::nnssp->new($location, $email, @params);
 Function: Creates a Bio::Tools::Run::PiseApplication::nnssp object.
           This method should not be used directly, but rather by
           a Bio::Tools::Run::AnalysisFactory::Pise instance.
           my $factory = Bio::Tools::Run::AnalysisFactory::Pise->new();
           my $nnssp = $factory->program('nnssp');
 Example : -
 Returns : An instance of Bio::Tools::Run::PiseApplication::nnssp.